{ Обработка текста: Разрешение ввода только цифр                           }
{--------------------------------------------------------------------------}
{ На входе - текст с цифрами (но будут вводиться только цифры              }
{--------------------------------------------------------------------------}
uses crt;
const ENTER=#13;
var c:char;

begin
     writeln('Вводите буквы и цифры');
     c:=readkey;
     while (c<>ENTER) do begin
        if c in ['0'..'9'] then write(c);
        c:=readkey;
     end;
     writeln;
end.
